Skip to main content
GET
Get Schedule
This endpoint uses the Schedule object.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

scheduleId
string
required

The unique identifier of the schedule

Response

Success

Sending time windows defining when campaigns can send messages (days and hours).

_id
string
required

Unique schedule identifier

name
string
required

Schedule name

secondsToWait
integer
required

Seconds between sends

timezone
string
required

Schedule timezone (e.g., 'Europe/Paris')

start
string
required

Daily start time (HH:mm)

Pattern: ^([01]\d|2[0-3]):[0-5]\d$
end
string
required

Daily end time (HH:mm)

Pattern: ^([01]\d|2[0-3]):[0-5]\d$
weekdays
integer[]
required

Active weekdays (1=Monday, 7=Sunday)

Required range: 1 <= x <= 7
public
boolean

Whether the schedule is available as a template for other users

teamId
string

Unique identifier of the team that owns this schedule

createdBy
string

Unique identifier of the user who created this schedule

createdAt
string<date-time>

Timestamp when the schedule was created

deletedAt
string<date-time>

Timestamp when the schedule was deleted (only present if deleted)

deletedBy
string

Unique identifier of the user who deleted this schedule (only present if deleted)